> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brickken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Investors Information

> Returns detailed information about an individual investor, including personal details, KYC verification link, wallet address, investor type, and a list of all past investments. Each investment entry includes transaction details such as amount, currency, status, associated token, and offering metadata

Retrieves information about a specific investor.

## Query Parameters

* `tokenSymbol` (required): Token symbol
* `email` (required): Investor email

## Example

```bash theme={null}
curl --request GET \
  --url 'https://api.sandbox.brickken.com/get-investor-info?tokenSymbol=EXMPL&email=investor@example.com' \
  --header 'x-api-key: YOUR_API_KEY'
```

## Response

```json theme={null}
{
  "email": "investor@example.com",
  "kycStatus": "approved",
  "whitelistStatus": true
}
```


## OpenAPI

````yaml GET /get-investor-info
openapi: 3.1.0
info:
  title: Brickken API V2
  description: >-
    Welcome to the Brickken API documentation. This API allows customers to
    create and manage tokenization processes, including creating new
    tokenizations, minting/burning/transferring tokens, whitelisting users,
    manage tokens approvals. This documentation provides detailed information on
    how to use the API, including the necessary endpoints, request formats, and
    expected
    responses.</details><details><summary>**Authentication**</summary>All API
    requests require an API key for authentication. Include your API key in the
    `x-api-key` header of each request:<pre><code>```
      x-api-key: YOUR_API_KEY
    ```</code></pre>Ensure that your API key is kept secure and not shared
    publicly. A common parameter for all requests is the `signerAddress`. Such
    address MUST be whitelisted in our factory. To whitelist an address and/or
    request an API key either for sandbox/production environment please contact
    with: support@brickken.com. Once a `signerAddress` performs a
    `newTokenization` we refer to that address as the tokenizer. The tokenizer
    will be the only one allowed to mint such token, distribute dividends on
    such token and whitelist/blacklist investors of such token. Regarding
    actions like transferring tokens or burning tokens, the `signerAddress` can
    be any user and not only the
    tokenizer.</details><details><summary>**Supported Networks &
    Addresses**</summary><details><summary>Sepolia (sandbox environment
    only)</summary><pre><code>```
      Chain Id: "aa36a7"
      Factory Address: "0x933ABAA95a7Fd0Bc683bDe2adB89f4C5EA64897b"
      BKN Address: "0x97a13487f889dc770Ac925Be2d3b6c833FA7746a"
      USDT Address: "0x28d2B01854D0aBec267a3DDcad9163580E6E8604"
      USDC Address: "0xb10cE8e28aEb1ae27b968Fb3bfed2FD7dd52daCb"
    ```</code></pre></details><details><summary>Base Sepolia (sandbox /
    testing)</summary><pre><code>```
      Chain Id: "84532" (hex "14a34")
      x402 USDC (Circle, EIP-3009): "0x036CbD53842c5426634e7929541eC2318f3dCF7e"
      ERC-8004 Identity Registry: "0x8004A818BFB912233c491871b3d84c89A494BD9e"
      ERC-8004 Reputation Registry: "0x8004B663056A597Dffe9eCcC1965A193B7388713"
    ```</code></pre></details><details><summary>Ethereum mainnet (production
    environment only)</summary><pre><code>```
      Chain Id: "1"
      Factory Address: "0x91af681C85Ca98Efc5D69C1B62E6F435030969Db"
      BKN Address: "0x0A638F07ACc6969abF392bB009f216D22aDEa36d"
      USDT Address: "0xdac17f958d2ee523a2206206994597c13d831ec7"
      USDC Address: "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
    ```</code></pre></details><details><summary>Base mainnet (production
    environment only)</summary><pre><code>```
      Chain Id: "2105"
      Factory Address: "0x278D7bdc2451B0Fa4087A68ce084a86cB91D4d83"
      BKN Address: "0xddB293BB5C5258F7484A94a0fBd5c8B2F6E4e376"
      USDT Address: N/A
      USDC Address: "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913"
    ```</code></pre></details><details><summary>BNB Smart Chain mainnet
    (production environment only)</summary><pre><code>```
      Chain Id: "38"
      Factory Address: "0xCe4529Fe88df480BD777d3e32dfD7032e6C685ff"
      BKN Address: "0x0e28bC9B03971E95acF9ae1326E51ecF9C55B498"
      USDT Address: "0x55d398326f99059fF775485246999027B3197955"
      USDC Address: "0x8AC76a51cc950d9822D68b83fE1Ad97B32Cd580d"
    ```</code></pre></details><details><summary>Avalance C Chain mainnet
    (production environment only)</summary><pre><code>```
      Chain Id: "a86a"
      Factory Address: "0xc6c230FA8F40022dE997727436Fae01caAbcDe61"
      BKN Address: "0xd44E4Dc8bdF7C1c62CfDBb182022097BA42Ac6bC"
      USDT Address: "0x9702230A8Ea53601f5cD2dc00fDBc13d4dF4A8c7"
      USDC Address: "0xB97EF9Ef8734C71904D8002F8b6Bc66Dd9c48a6E"
    ```</code></pre></details></details><details><summary>**Usage
    Workflow**</summary><details><summary>1. **Prepare
    Transactions:**</summary>- Use the `POST /prepare-transactions` endpoint
    with the desired method (e.g., `newTokenization`, `mintToken`, etc...) to
    prepare the transaction(s).

    - The response will include an array of unsigned transactions that needs to
    be signed.<details><summary>**Example Of An Endpoint
    Response:**</summary>```json
      {
        "transactions": [
          {
            "from": "0xSignerAddress",
            "to": "0xTargetAddress",
            "value": {
              "type": "BigNumber",
              "hex": "0x00"
            },
            "nonce": 1,
            "chainId": 11155111,
            "data": "0x...",
            "type": 2,
            "maxPriorityFeePerGas": {
              "type": "BigNumber",
              "hex": "0x..."
            },
            "maxFeePerGas": {
              "type": "BigNumber",
              "hex": "0x..."
            },
            "gasLimit": {
              "type": "BigNumber",
              "hex": "0x..."
            }
          }
        ]
      }
    ```</details></details><details><summary>2. **Sign the
    Transactions:**</summary>- Use your preferred method or wallet to sign the
    transaction data provided in the response.

    - Ensure that the signer address matches the `signerAddress` provided in the
    initial request.<details><summary>**Example Of signing a transaction with
    typescript and `ethers-js`:**</summary>```typescript
      const tx = {...} // One of the object in the array returned by the `/prepare-transactions` endpoint
      const privateKey = process.env.PRIVATE_KEY;
      const wallet = new ethers.Wallet(privateKey);
      const signedTx = await wallet.signTransaction(tx);
      console.log('Signed Transaction:', signedTx);
    ```</details>**NOTE:** Be sure to have enough funds in the signer wallet to
    cover for the transaction cost</details><details><summary>3. **Submit Signed
    Transactions:**</summary>- Use the `POST /send-transactions` endpoint to
    submit the signed transaction(s) along with the required parameters.

    - The API will process the transactions, send them to the blockchain, and
    update the Brickken database accordingly.</details><details><summary>4.
    **Check Transaction Status:**</summary>- Use the `GET
    /get-transaction-status` endpoint to check the status of your transaction.

    - Provide either the on-chain transaction hash (`hash`) or the internal
    transaction ID (`txId`) to retrieve the
    status.</details></details><details><summary>**Environments**</summary>The
    API is available in several environments for testing and production
    purposes:- Sandbox: `https://api.sandbox.brickken.com/`

    - Master (Production): `https://api.brickken.com/`</details>


    The API also exposes x402scan discovery facade endpoints under /x402/... The
    public discovery target is https://api.brickken.com, with /.well-known/x402
    returning resource URLs and /openapi.json returning the generated OpenAPI
    3.1 document.
  version: 2.0.0
servers:
  - url: https://api.sandbox.brickken.com
    description: Sandbox Environment
  - url: https://api.brickken.com
    description: Production Environment
security:
  - apiKeyAuth: []
paths:
  /get-investor-info:
    get:
      tags:
        - Endpoints
      summary: Get investors information
      description: >-
        Returns detailed information about an individual investor, including
        personal details, KYC verification link, wallet address, investor type,
        and a list of all past investments. Each investment entry includes
        transaction details such as amount, currency, status, associated token,
        and offering metadata
      parameters:
        - name: tokenSymbol
          in: query
          required: true
          schema:
            type: string
          description: The symbol of the token.
        - name: email
          in: query
          required: true
          schema:
            type: string
          description: The email address of the investor.
      responses:
        '200':
          description: Succesful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  email:
                    type: string
                    format: email
                    description: User's email address.
                    example: investor@example.com
                  firstName:
                    type: string
                    description: User's first name.
                    example: John
                  lastName:
                    type: string
                    description: User's last name (derived from firstSurname).
                    example: Doe
                  kycUrl:
                    type: string
                    format: url
                    description: URL related to the user's KYC status/process.
                    example: https://kyc.example.com/user/123
                  profilePicture:
                    type: string
                    format: url
                    description: URL or identifier for the user's profile picture.
                    example: https://images.example.com/profiles/john_doe.jpg
                  walletAddress:
                    type: string
                    description: User's associated wallet address.
                    example: '0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B'
                  type:
                    type: string
                    description: Type classification of the user.
                    example: INVESTOR_INDIVIDUAL
                  investments:
                    type: array
                    description: An array containing the user's investment details.
                    items:
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: Unique identifier of the investment (from inv.uuid).
                          example: b8341970-b99d-4c75-929c-854ab746723e
                        date:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp when the investment was created (from
                            inv.createdAt).
                          example: '2024-06-13T08:20:00.656Z'
                        txHash:
                          type: string
                          nullable: true
                          description: >-
                            Transaction hash, if available (from
                            inv.investmentTransaction?.txHash).
                          example: 0x123abc456def789...
                        currency:
                          type: string
                          nullable: true
                          description: >-
                            Symbol of the currency used for payment (from
                            inv.paymentToken?.symbol).
                          example: USDT
                        amountInUSDT:
                          type: string
                          description: >-
                            Invested amount, represented in USDT value (from
                            inv.investedAmount).
                          example: '100.0'
                        status:
                          type: string
                          description: Status of the investment (from inv.status).
                          example: success
                        tokenSymbol:
                          type: string
                          nullable: true
                          description: >-
                            Symbol of the token acquired in the offering (from
                            inv.sto?.company?.tokenSymbol).
                          example: ABC
                        offeringId:
                          type: string
                          format: uuid
                          nullable: true
                          description: >-
                            Unique identifier of the STO/offering (from
                            inv.sto?.uuid).
                          example: a5232594-3f97-47d0-b362-491caac9388f
                        offeringName:
                          type: string
                          nullable: true
                          description: Name of the STO/offering (from inv.sto?.name).
                          example: Round A
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````